> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a budget

> Since you've got a new budget, let's try retrieving its details using the following request.

# Step 4: find a budget

Since you've got a new budget, let's try retrieving its details using the following request.

<CodeGroup>
  ```bash Sandbox theme={null}
  curl -i -X GET 'https://api-sandbox.equalsmoney.com/v2/budgets/{budgetId}?accountId={accountId}' \ # The ID of your newly-created budget and your account ID
    -H 'Authorization: ApiKey {apiKey}' # Your API key
  ```

  ```bash Production theme={null}
  curl -i -X GET 'https://api.equalsmoney.com/v2/budgets/{budgetId}?accountId={accountId}' \ # The ID of your newly-created budget and your account ID
    -H 'Authorization: ApiKey {apiKey}' # Your API key
  ```
</CodeGroup>

If your request is successful, you'll receive a `200` response.

```json theme={null}
{
  "id": "4a535fb3-1302-45c7-8d4d-a42951ecc78e",
  "accountId": "F12345",
  "parentId": "6e08e7f7-f906-469e-b061-3dcb6def9b20",
  "boxId": "d79d2433-ffc9-4154-ae0f-a07599e8c531",
  "name": "Test budget",
  "type": "shared",
  "status": "active",
  "allowCurrencyAlignment": false,
  "createdAt": "2023-09-29T10:29:28.000Z",
  "updatedAt": "2023-09-29T10:29:28.000Z",
  "feature": [
    {
      "id": "7d2a641e-0070-4430-8ddb-4e2c39d13029",
      "budgetId": "4a535fb3-1302-45c7-8d4d-a42951ecc78e",
      "payments": true,
      "budgetCards": false,
      "peopleCards": false,
      "forwardDeposits": false,
      "createdAt": "2023-09-29T10:29:28.000Z",
      "updatedAt": "2023-09-29T10:29:28.000Z",
      "BudgetId": "4a535fb3-1302-45c7-8d4d-a42951ecc78e"
    }
  ],
  "currency": [
    {
      "createdAt": "2023-09-29T10:29:28Z",
      "updatedAt": "2023-09-29T10:29:28Z",
      "id": "6eddd6aa-d734-46f4-b29a-329abc85db93",
      "budgetId": "4a535fb3-1302-45c7-8d4d-a42951ecc78e",
      "boxCurrencyId": null,
      "currencyCode": "GBP",
      "local": "unique",
      "international": "unique", 
      "BudgetId": "4a535fb3-1302-45c7-8d4d-a42951ecc78e"
    },
    {
      "createdAt": "2023-09-29T10:29:28Z",
      "updatedAt": "2023-09-29T10:29:28Z",
      "id": "e3868252-e366-43e8-95ca-5154bd601a0b",
      "budgetId": "4a535fb3-1302-45c7-8d4d-a42951ecc78e",
      "boxCurrencyId": null,
      "currencyCode": "USD",
      "local": "unique",
      "international": "unique",
      "BudgetId": "4a535fb3-1302-45c7-8d4d-a42951ecc78e"
    }
  ],
  "balance": []
}
```

<Info>
  This endpoint includes optional query parameters that will return additional details about the budget. For more information, [see the API reference](/api-reference/budgets/retrieve-budget-details).
</Info>

### What if it goes wrong?

If the `budgetId` doesn't exist or doesn't belong to the specified account, you'll receive an error like this:

```json 404 theme={null}
{
  "path": "/v2/budgets/4a535fb3-1302-45c7-8d4d-a42951ecc78e",
  "message": "budget not found"
}
```
